< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package wco
  Definition Classes
    hmrc
-  package dec
  Definition Classes
    wco
-  package inventorylinking
  Definition Classes
    dec
-  package status
  Definition Classes
    dec
-  package utilities
  Definition Classes
    dec
- AdditionalDocument
- AdditionalInformation
- Address
- Agent
- Amendment
- Amount
- AmountDeserializer
- Authentication
- Authenticator
- AuthorisationHolder
- BorderTransportMeans
- ChargeDeduction
- Classification
- Commodity
- Communication
- Consignment
- Contact
- CurrencyExchange
- CustomsValuation
- DangerousGoods
- DateTimeElement
- DateTimeString
- DateTimeStringDeserializer
- Declaration
- Destination
- DutyTaxFee
- ExportCountry
- Freight
- GoodsLocation
- GoodsLocationAddress
- GoodsMeasure
- GoodsShipment
- GovernmentAgencyGoodsItem
- GovernmentAgencyGoodsItemAdditionalDocument
- GovernmentAgencyGoodsItemAdditionalDocumentSubmitter
- GovernmentProcedure
- ImportExportParty
- Invoice
- InvoiceLine
- Itinerary
- LoadingLocation
- Measure
- MeasureDeserializer
- MetaData
- NamedEntityWithAddress
- ObligationGuarantee
- Office
- Origin
- Packaging
- Payment
- Pointer
- PreviousDocument
- Response
- ResponseAdditionalInformation
- ResponseAmendment
- ResponseAppealOffice
- ResponseBank
- ResponseCommodity
- ResponseCommodityDutyTaxFee
- ResponseCommunication
- ResponseContactOffice
- ResponseDateTimeElement
- ResponseDeclaration
- ResponseDutyTaxFee
- ResponseDutyTaxFeePayment
- ResponseError
- ResponseGoodsShipment
- ResponseGovernmentAgencyGoodsItem
- ResponseObligationGuarantee
- ResponsePayment
- ResponsePointer
- ResponseStatus
- RoleBasedParty
- Seal
- StdAttributeAndTextDeserializer
- TradeTerms
- TransportEquipment
- TransportMeans
- TypeCodeValue
- TypeCodeValues
- Ucr
- ValuationAdjustment
- Warehouse
- WriteOff

c

uk.gov.hmrc.wco.dec

# GoodsShipment 

###

#### case class GoodsShipment(exitDateTime: Option[DateTimeElement] = None, transactionNatureCode: Option[Int] = None, aeoMutualRecognitionParties: Seq[RoleBasedParty] = Seq.empty, buyer: Option[ImportExportParty] = None, consignee: Option[NamedEntityWithAddress] = None, consignment: Option[Consignment] = None, consignor: Option[NamedEntityWithAddress] = None, customsValuation: Option[CustomsValuation] = None, destination: Option[Destination] = None, domesticDutyTaxParties: Seq[RoleBasedParty] = Seq.empty, exportCountry: Option[ExportCountry] = None, governmentAgencyGoodsItems: Seq[GovernmentAgencyGoodsItem] = Seq.empty, importer: Option[ImportExportParty] = None, invoice: Option[Invoice] = None, payers: Seq[NamedEntityWithAddress] = Seq.empty, previousDocuments: Seq[PreviousDocument] = Seq.empty, seller: Option[ImportExportParty] = None, sureties: Seq[NamedEntityWithAddress] = Seq.empty, tradeTerms: Option[TradeTerms] = None, ucr: Option[Ucr] = None, warehouse: Option[Warehouse] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GoodsShipment
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new GoodsShipment(exitDateTime: Option[DateTimeElement] = None, transactionNatureCode: Option[Int] = None, aeoMutualRecognitionParties: Seq[RoleBasedParty] = Seq.empty, buyer: Option[ImportExportParty] = None, consignee: Option[NamedEntityWithAddress] = None, consignment: Option[Consignment] = None, consignor: Option[NamedEntityWithAddress] = None, customsValuation: Option[CustomsValuation] = None, destination: Option[Destination] = None, domesticDutyTaxParties: Seq[RoleBasedParty] = Seq.empty, exportCountry: Option[ExportCountry] = None, governmentAgencyGoodsItems: Seq[GovernmentAgencyGoodsItem] = Seq.empty, importer: Option[ImportExportParty] = None, invoice: Option[Invoice] = None, payers: Seq[NamedEntityWithAddress] = Seq.empty, previousDocuments: Seq[PreviousDocument] = Seq.empty, seller: Option[ImportExportParty] = None, sureties: Seq[NamedEntityWithAddress] = Seq.empty, tradeTerms: Option[TradeTerms] = None, ucr: Option[Ucr] = None, warehouse: Option[Warehouse] = None)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val aeoMutualRecognitionParties: Seq[RoleBasedParty]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val buyer: Option[ImportExportParty]
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
8.  val consignee: Option[NamedEntityWithAddress]
9.  val consignment: Option[Consignment]
10.  val consignor: Option[NamedEntityWithAddress]
11.  val customsValuation: Option[CustomsValuation]
12.  val destination: Option[Destination]
13.  val domesticDutyTaxParties: Seq[RoleBasedParty]
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  val exitDateTime: Option[DateTimeElement]
16.  val exportCountry: Option[ExportCountry]
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  val governmentAgencyGoodsItems: Seq[GovernmentAgencyGoodsItem]
20.  val importer: Option[ImportExportParty]
21.  val invoice: Option[Invoice]
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  val payers: Seq[NamedEntityWithAddress]
27.  val previousDocuments: Seq[PreviousDocument]
28.  val seller: Option[ImportExportParty]
29.  val sureties: Seq[NamedEntityWithAddress]
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  val tradeTerms: Option[TradeTerms]
32.  val transactionNatureCode: Option[Int]
33.  val ucr: Option[Ucr]
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
37.  val warehouse: Option[Warehouse]

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped